import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

class NoticeBar extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('NoticeBar'),
      ),
      body: Container(
        padding: EdgeInsets.all(15),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            MarqueeWidget(
              color: Color(0xfffffbe8),
              textStyle: TextStyle(color: Color(0xffed6a0c)),
              text:
                  'this is a short text with long width sadsadsadsa sadasdsadsad asdsadqwewqewq sadsadsadsad1234',
            ),
            Container(
              child: Text('添加图标'),
              padding: EdgeInsets.all(15),
            ),
            MarqueeWidget(
              color: Color(0xfffffbe8),
              textStyle: TextStyle(color: Color(0xffed6a0c)),
              prefixIcon: Icon(
                MillIcons.sound,
                color: Color(0xffed6a0c),
                size: 18,
              ),
              text:
                  'this is a short text with long width sadsadsadsa sadasdsadsad asdsadqwewqewq sadsadsadsad1234',
            ),
            Container(
              padding: EdgeInsets.all(6),
            ),
            MarqueeWidget(
              color: Color(0xfffffbe8),
              textStyle: TextStyle(color: Color(0xffed6a0c)),
              prefixIcon: Icon(
                MillIcons.sound,
                color: Color(0xffed6a0c),
                size: 18,
              ),
              suffixIcon: Icon(
                MillIcons.error,
                color: Color(0xffed6a0c),
                size: 18,
              ),
              text:
                  'this is a short text with long width sadsadsadsa sadasdsadsad asdsadqwewqewq sadsadsadsad1234',
            ),
            Container(
              child: Text('设置颜色'),
              padding: EdgeInsets.all(15),
            ),
            MarqueeWidget(
              color: Color(0xfffffbe8),
              textStyle: TextStyle(color: Color(0xff333333)),
              prefixIcon: Icon(
                MillIcons.sound,
                color: Color(0xff333333),
                size: 18,
              ),
              text:
                  'this is a short text with long width sadsadsadsa sadasdsadsad asdsadqwewqewq sadsadsadsad1234',
            ),
          ],
        ),
      ),
    );
  }
}
