import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

class Treelist extends StatefulWidget {
  _Treelist createState() => new _Treelist();
}

class _Treelist extends State<Treelist> {
  Map tree = {
    'label': '中国',
    'value': 0,
    'children': [
      {'label': '北京', 'value': 1},
      {'label': '上海', 'value': 2},
      {'label': '天津', 'value': 3},
      {
        'label': '山东',
        'value': 4,
        'children': [
          {'label': '济南', 'value': 31},
          {'label': '青岛', 'value': 32},
          {'label': '潍坊', 'value': 33},
          {'label': '临沂', 'value': 34},
          {'label': '聊城', 'value': 35},
        ],
      },
      {
        'label': '河南',
        'value': 5,
        'children': [
          {'label': '郑州', 'value': 51},
          {'label': '洛阳', 'value': 32},
        ],
      },
    ]
  };

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text('Tree'),
        ),
        body: Container(
          child: MillTree(
            tree: tree,
            defaultValue: [1],
          ),
        ));
  }
}
